#ifndef	__AVRPRG_H_
#define __AVRPRG_H_

struct sio_ver {
	unsigned int	DevVer;
	unsigned int	DevType;
	unsigned int	FwLevel;
};

struct avr_ver {
	unsigned int	Vendor;
	unsigned int	Family;
	unsigned int	Part;
};

#define	SMARTIO_IOCTL_BASES		'a'
#define	READ_AVR_VER			_IOR(SMARTIO_IOCTL_BASES, 0, 0)
#define	READ_AVR_DEV			_IOR(SMARTIO_IOCTL_BASES, 1, 1)
#define	READ_FLASH_SIZE			_IOR(SMARTIO_IOCTL_BASES, 2, 2)
#define	ERASE_CHIP				_IOW(SMARTIO_IOCTL_BASES, 3, 3)
#define	LED_GREEN_ON			_IOW(SMARTIO_IOCTL_BASES, 4, 4)
#define	LED_GREEN_OFF			_IOW(SMARTIO_IOCTL_BASES, 5, 6)
#define	LED_AMBER_ON			_IOW(SMARTIO_IOCTL_BASES, 6, 6)
#define	LED_AMBER_OFF			_IOW(SMARTIO_IOCTL_BASES, 7, 7)
#define	LED_RED_ON				_IOW(SMARTIO_IOCTL_BASES, 8, 8)
#define	LED_RED_OFF				_IOW(SMARTIO_IOCTL_BASES, 9, 9)

#endif
